/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class MicroProcessor */

#ifndef _Included_MicroProcessor
#define _Included_MicroProcessor
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     MicroProcessor
 * Method:    init
 * Signature: ()V
 */
JNIEXPORT void JNICALL Java_MicroProcessor_init
  (JNIEnv *, jclass);

/*
 * Class:     MicroProcessor
 * Method:    getGreenHouses
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_MicroProcessor_getGreenHouses
  (JNIEnv *, jclass);

/*
 * Class:     MicroProcessor
 * Method:    getTemp
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_MicroProcessor_getTemp
  (JNIEnv *, jclass, jint);

/*
 * Class:     MicroProcessor
 * Method:    getTempMax
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_MicroProcessor_getTempMax
  (JNIEnv *, jclass, jint);

/*
 * Class:     MicroProcessor
 * Method:    getTempMin
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_MicroProcessor_getTempMin
  (JNIEnv *, jclass, jint);

/*
 * Class:     MicroProcessor
 * Method:    getWinState
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_MicroProcessor_getWinState
  (JNIEnv *, jclass, jint);

/*
 * Class:     MicroProcessor
 * Method:    getAutomata
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_MicroProcessor_getAutomata
  (JNIEnv *, jclass, jint);

/*
 * Class:     MicroProcessor
 * Method:    setTemp
 * Signature: (III)V
 */
JNIEXPORT void JNICALL Java_MicroProcessor_setTemp
  (JNIEnv *, jclass, jint, jint, jint);

/*
 * Class:     MicroProcessor
 * Method:    setWinState
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_MicroProcessor_setWinState
  (JNIEnv *, jclass, jint, jint);

/*
 * Class:     MicroProcessor
 * Method:    enableAutomata
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_MicroProcessor_enableAutomata
  (JNIEnv *, jclass, jint, jint);

#ifdef __cplusplus
}
#endif
#endif
